local homeVJR = ...

-- Register an intermediate step for housing system
-- This step is necessary, as in this first step the housing system doesn't take into account the BuildingZone

-- Apply building asset processor
homeVJR:registerAssetProcessor("models/HomeAsb.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})

homeVJR:registerAssetId("models/HomeAsb.fbx/Prefab/assemblyHouse/homePart", _HomePrefix .. "_HOME_ASB_PREFAB")

function registerRandomBuilding(_buildingAssetId)
    homeVJR:register({
	DataType = "BUILDING_PART",
	Id = _HomePrefix .. "_ASB" .. _buildingAssetId .. "_PART",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_ASSEMBLAGE",
                CoreRandomBuildingPartList = { _HomePrefix .. "_HOME_ASB_PREFAB" },
                MandatoryBuildingPartList = {
                    { BuildingPart = _HomePrefix .. _buildingAssetId .. "_PART" }
                }
	}
    })
end

registerRandomBuilding("_HOME2")
registerRandomBuilding("_HOME3")
registerRandomBuilding("_HOME4")
registerRandomBuilding("_HOME5")
registerRandomBuilding("_HOME6")
registerRandomBuilding("_HOME11")

-- Overrides the vanilla housing system

homeVJR:override({
    Id = "BUILDING_PART_HOUSING_SERF_DENSITY_1",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_RANDOM_PART",
		RandomPartList = {
                    Action = "APPEND",
                    _HomePrefix .. "_ASB_HOME2_PART"
                }
	}
})

homeVJR:override({
    Id = "BUILDING_PART_HOUSING_SERF_DENSITY_2",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_RANDOM_PART",
		RandomPartList = {
                    Action = "APPEND",
                    _HomePrefix .. "_ASB_HOME11_PART",
                    _HomePrefix .. "_ASB_HOME3_PART",
                    _HomePrefix .. "_ASB_HOME4_PART"
                }
	}
})

homeVJR:override({
    Id = "BUILDING_PART_HOUSING_CITIZEN_DENSITY_2",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_RANDOM_PART",
		RandomPartList = {
                    Action = "APPEND",
                    _HomePrefix .. "_ASB_HOME5_PART",
                    _HomePrefix .. "_ASB_HOME6_PART"
                }
	}
})
